/*
 * @(#DataBindingEditor.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding;

import java.util.*;

public class DataBindingEditor extends NameEditor
{
    public DataBindingEditor()
    {
        super();
    }

    public void setValue(Object value)
    {
        if (value != null && value instanceof DataBinding) {
        	String text = ((DataBinding)value).getFullName();
        	setAsText(text);
        }
    }

    public String getJavaInitializationString()
    {
        return "new DataBinding(\"" + getAsText() + "\")";
    }

    public Object getValue()
    {
        String value = (String)super.getValue();
		return new DataBinding(value);
    }

    public String getAsText()
    {
        return (String)super.getValue();
    }

    public java.awt.Component getCustomEditor()
    {
        return this;
    }
}