/**
 * @(#)DataBindingException.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 * Extend SQLException because that class provides exception chaining.
 */

package symantec.itools.db.beans.binding;

public class DataBindingException extends java.sql.SQLException
{
    /**
     * Constructor
     */
     
    public DataBindingException(String reason)
    {
        super(reason);
    }

    /**
     * Default constructor
     */
     
    public DataBindingException()
    {
        super("No reason");
    }
}