/*
 * @(#)ExpandableSet.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */
 /**
 * <P> A Data Source must implement this interface in order to allow a cursor
 * to access an object(row) in the Data Source
 */

package symantec.itools.db.beans.binding;
public interface ExpandableSet
{
    /**
    * Gets the Object at the given position
    * @param position.     The deesired position.
    */
    public Object getElementAt(int position) throws PositionOutOfRangeException;
}