/*
 * @(#KeyedAccess.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding.databus;
public interface KeyedAccess extends CollectionAccess
{

public DataItem getItemByKey(String keyValue);


     //Returns a DataItem associated with the given keyValue. Returns null if there is no DataItem associated
     //with the keyValue.

public CollectionAccess getKeyList();


     //Returns an Array of Strings which are the recognized keyValues for the KeyedAccess object.
}