/*
 * @(#TriggerUIEvent.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding;

public class TriggerUIEvent extends java.util.EventObject
{
    public int m_Row = 0;
    public int m_Type = 1;
    
    public final static int RECORDSETCHANGED = 1;
    public final static int RECORDNAVIGATION = 2;
    public final static int RECORDDELETED = 3;
    public final static int RECORDINSERTED = 4;
    public final static int RECORDSAVEDALL = 5;
    public final static int RECORDCHANGED = 6;
    public final static int FORCEREFRESH = 7;

    public TriggerUIEvent(Object source)
    {
        super(source);
    }

    public TriggerUIEvent(Object source, int row, int type)
    {
        super(source);
        m_Row = row;
        m_Type = type;
    }

}
