/*
 * @(#ConnectFailedEvent.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.jdbc;

public class ConnectFailedEvent extends java.util.EventObject
{
    int    m_Type;
    String m_Reason;

    public final static int DRIVERCLASSNOTKNOWN = 1;
    public final static int DRIVERCLASSNOTFOUND = 2;
    public final static int GENERALERROR = 3;

    public ConnectFailedEvent (JdbcConnection conn, int type,
        String reason)
    {
        super(conn);
        m_Type = type;
        m_Reason = reason;
    }

    public int getType()
    {
        return m_Type;
    }

    public String getReason()
    {
        return m_Reason;
    }
}