/*
 * @(#DataBusMember.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding.databus;

import java.beans.*;
public interface DataBusMember
{


public void setDataBus(DataBus b) throws PropertyVetoException;

public  DataBus getDataBus();


     //These methods constitute the design pattern for a property named "DataBus". This property is "pushed"
    // onto a new bus member when that new member is added to the bus. (See DataBus.joinDataBus()
    // above.)

public void addVetoableChangeListener(VetoableChangeListener listener);




public void removeVetoableChangeListener(VetoableChangeListener listener);
}
