/*
 * @(#DataItem.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding.databus;
public interface DataItem
{
    //These methods form the standard JavaBeans design pattern for an object that emits a
    //DataItemChangedEvent. A data consumer interested in continuing updates on a data item will call
    //addDataItemChangedListener() to express that interest.

    public void addDataItemChangedListener(DataItemChangedListener l);
    public void removeDataItemChangedListener(DataItemChangedListener l);
}