/*
 * @(#FtpLoginException.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */


package symantec.itools.db.awt;

/**
 * This exception gets thrown if an FtpClient cannot login to the host.
 *
 * @see symantec.itools.db.awt.FtpClient
 * @see symantec.itools.db.awt.FtpClient#login
 */
public class FtpLoginException extends Exception
{
    /**
     * Constructs an FtpLoginException with the given error message.
     *
     * @param s the error message
     */
    FtpLoginException(String s)
	{
		super(s);
    }
}
