/*
 * @(#ImmediateAccess.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */


package symantec.itools.db.beans.binding.databus;
public interface ImmediateAccess extends DataItem
{

public String getValueAsString();

public Object getValueAsObject();

public String getPresentationString();


     //These methods form the canonical transfer of data values. The method getPresentationString() differs
    // from getValueAsString() in that the presentation string should include any formatting characters like ($),
     //(,), or (.) for currency. (Internationalization of presentation strings is the problem of the data source,
     //since the consumer does not have enough semantic understanding of the data item to do this work
     //properly.)

     //Note that there is no requirement that getValueAsString() returns the same string as
     //getValueAsObject().toString(). In fact, the latter generally returns uninterpretable results.
}
