
package symantec.itools.db.beans.jdbc;

import com.ms.security.PolicyEngine;
import com.ms.security.PermissionID;
import java.sql.*;
import symantec.itools.db.net.ClientSession;

public class MSSecurityAccess
{

    public static Connection getConnection(String url, String username,String password) throws SQLException{
        PolicyEngine.assertPermission(PermissionID.SYSTEM);
        return DriverManager.getConnection(url,username,password);
    }
    
    public static ClientSession getClientSession(String host, Integer portNumber, String val, Boolean bool) throws Exception{
        PolicyEngine.assertPermission(PermissionID.SYSTEM);
        ClientSession clientSession=new ClientSession(host, portNumber.intValue(), val, bool.booleanValue());
        return clientSession;
    }
        
    
}