/*
 * @(#NameEditor.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */

package symantec.itools.db.beans.binding;

import java.awt.*;
import java.beans.*;

public class NameEditor extends java.awt.Panel implements PropertyEditor, java.awt.event.FocusListener
{
    java.awt.Label label1;
	java.awt.Label label2;
	//java.awt.Label label3;
	java.awt.TextField table_name;
	java.awt.TextField field_name;
	//java.awt.TextField no_of_rows;
	java.awt.Label label4;
	java.awt.TextField full_name;
	java.awt.Button done_button;
    Name name=new Name();
    public NameEditor()
    {
        setLayout(null);
		setSize(insets().left + insets().right + 380,insets().top + insets().bottom + 110);
		setBackground(new Color(12632256));
		label1 = new java.awt.Label("QueryNavigator Alias:");
		label1.setBounds(insets().left + 10,insets().top + 10,150,20);
		add(label1);
		label2 = new java.awt.Label("Field Name:");
		label2.setBounds(insets().left + 10,insets().top + 40,150,20);
		add(label2);
		//label3 = new java.awt.Label("Number Of Rows:");
		//label3.setBounds(insets().left + 10,insets().top + 70,150,20);
		//add(label3);
		table_name = new java.awt.TextField();
		table_name.setBounds(insets().left + 170,insets().top + 10,200,20);
		add(table_name);
		field_name = new java.awt.TextField();
		field_name.setBounds(insets().left + 170,insets().top + 40,200,20);
		add(field_name);
		//no_of_rows = new java.awt.TextField();
		//no_of_rows.setBounds(insets().left + 170,insets().top + 70,60,20);
		//add(no_of_rows);
		label4 = new java.awt.Label("Full Name:");
		label4.setBounds(insets().left + 10,insets().top + 70,100,20);
		add(label4);
		full_name = new java.awt.TextField();
		full_name.setBounds(insets().left + 120,insets().top + 70,250,20);
		//full_name.setEditable(false);
		add(full_name);
		table_name.addFocusListener(this);
		field_name.addFocusListener(this);

    }

    public void setValue(Object o)
    {
	if (o != null && o instanceof java.lang.String) {
        	Name n = new Name((String)o);
        	changeName(n);
	}
    }

    public void setAsText(String s) throws java.lang.IllegalArgumentException
    {
        changeName(new Name(s));
    }

    public String getJavaInitializationString()
    {
        return "\"" + getAsText() + "\"";
    }

    protected void changeName(Name n)
    {
        name=n;
        if(!name.getTableName().equals("") && !name.getFieldName().equals(""))
        {
            table_name.setText(name.getTableName());
            field_name.setText(name.getFieldName());
            full_name.setText(name.getTableName()+Name.TableSeparator+name.getFieldName());
            support.firePropertyChange("",null,null);
        }
    }

    public Object getValue()
    {
       // String s=table_name.getText()+Name.TableSeparator+field_name.getText();
        String s=full_name.getText();
        if(s.equals(Name.TableSeparator) || s.length()==0)return "none";
        else return s;
		
    }

    public boolean isPaintable()
    {
        return true;
    }

    public void paintValue(java.awt.Graphics gfx,java.awt.Rectangle Box)
    {

    }


    public String getAsText()
    {
        return (String)getValue();
    }
    public String[] getTags()
    {
        return null;
    }

    public java.awt.Component getCustomEditor()
    {
        return this;
    }

    public boolean supportsCustomEditor()
    {
        return true;
    }

    public void addPropertyChangeListener(PropertyChangeListener l)
    {
        support.addPropertyChangeListener(l);
    }

    public void removePropertyChangeListener(PropertyChangeListener l)
    {
        support.removePropertyChangeListener(l);
    }
    private PropertyChangeSupport support=new PropertyChangeSupport(this);
    public void focusGained(java.awt.event.FocusEvent fe){}
    public void focusLost(java.awt.event.FocusEvent fe){
         full_name.setText(table_name.getText()+Name.TableSeparator+field_name.getText());
        }
}


