/*
 * @(#PositionOutOfRangeException.java
 *
 * Copyright (c) 1997 Symantec Corporation. All Rights Reserved.
 *
 */
 /**
 * <P> This class is the exception thrown when an attempt is made
 *     to move a Cursor to a position out of range.
 */

package symantec.itools.db.beans.binding;

public class PositionOutOfRangeException extends Exception
{
    public PositionOutOfRangeException() {
        super("Position out of range");
    }
}